首页新闻找找看学习计划

angularjs版本升级后功能无法使用

0
悬赏园豆:5 [待解决问题]
 1 <!DOCTYPE html>
 2 <html ng-app>
 3 <head>
 4 <meta charset="utf-8">
 5 <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
 6 <title>Examples</title>
 7 <script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.2.16/angular.min.js"></script>
 8 </head>
 9 <body>
10 <h3>请在下列文本框中输入任意内容</h3>
11 <div ng-controller="usercontroller">
12 <input type="text" id="text1" ng-model="user.name">
13 <div>{{user.name}}</div>
14 </div>
15 <script>
16 function usercontroller($scope){
17 $scope.user = {name:""};
18 }
19 </script>
20 </body>
21 </html>

上面代码如果把angular的版本换成1.4或1.5的版本就不可以了,请问1.4或1.5新版本应该怎么使用这个功能?

蔷薇蔓蔓的主页 蔷薇蔓蔓 | 初学一级 | 园豆:197
提问于:2016-06-06 15:05
< >
分享
所有回答(3)
0

只是简单的数据绑定,1.4或者1.5都是可以的哦。

你先确定angular成功引入了。

<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <title></title>
    <script src="http://cdn.bootcss.com/angular.js/1.5.6/angular.min.js"></script>
</head>
<body ng-app>
    <div>
        <input ng-model="name"/>
        <p ng-bind="name"></p>
    </div>
</body>
</html>

 

写代码的小2B | 园豆:4346 (老鸟四级) | 2016-06-06 15:35

嗯,引入没问题,因为我代码里的那个版本可以显示字符串,像这样

<body>
{{'hello,欢迎来到angular的世界!'}}
</body>

,但是显示我问题里的代码那样就不行了,换成低版本就没问题,我也不知道咋回事,才刚刚上手呵呵。

支持(0) 反对(0) 蔷薇蔓蔓 | 园豆:197 (初学一级) | 2016-06-06 16:19
0

确切的说,应该是1.3之后都不能这样用了。

应该新建一个模块,然后用启动模块的方式启动

angular.module('app', [])
.controller('TestCtrl', ['$scope', function($scope){

}]);

angular.bootstrap(document, ['app']);

页面html中的ng-app可以不要了,在body上加上ng-controller="TestCtrl"

 

幻天芒 | 园豆:36522 (高人七级) | 2016-06-06 21:14
0

楼上说的很对 创建模块后绑定controller,在controller里绑定数据

浮云也是种寂寞 | 园豆:992 (小虾三级) | 2016-06-07 08:59
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册